Versetzten von Flächen oder Schnitten

In diesem Forum Fragen und Diskussionen in Deutsch
Forum rules
Foren-Regeln und hilfreiche Informationen

WICHTIG: Bitte zuerst lesen, bevor Sie posten
User avatar
shoogen
Posts: 2823
Joined: Thu Dec 01, 2011 5:24 pm

Versetzten von Flächen oder Schnitten

Postby shoogen » Thu Dec 01, 2011 6:18 pm

Hallo Zusammen,
ich versuche einen Solid mit einer festen Wandstärke aus den Aussenkontoruen abzuleiten.
Ich habe auch schon versucht Schnitte mit der Funktion Versetzen aus dem Draft Modul zu bearbeiten. Das war aber nicht möglich.
Gibt es eine Möglichkeit sowas mit Freecad zu modellieren?

Image
wmayer
Site Admin
Posts: 14798
Joined: Thu Feb 19, 2009 10:32 am

Re: Versetzten von Flächen oder Schnitten

Postby wmayer » Fri Dec 02, 2011 1:22 pm

Ich weiß nicht, ob das hier weiterhilft, aber es gibt einen Algorithmus, direkt ein Solid "auszuhöhlen" mit einer gewissen Wandstärke. Hier ein kleines Beispiel:
c=Part.makeCylinder(5,20)
d=c.makeThickness([c.Faces[1]],0.5,0.0)
Part.show(c)
Part.show(d)
Der erste Parameter in makeThickness gibt an, welche Flächen entfernt werden sollen, der zweite gibt die Wandstärke an und der dritte eine Toleranz.
User avatar
shoogen
Posts: 2823
Joined: Thu Dec 01, 2011 5:24 pm

Re: Versetzten von Flächen oder Schnitten

Postby shoogen » Fri Dec 02, 2011 7:55 pm

Die Funktion ist genau was ich suche. Bei den Shapes aus den Shapes der ersten beiden Konstruktionsschritte (Wedge und Fillet) funktioniert die Funktion.
Bei komplizierteren Shapes wird eine BRepAlgo_Image::Bind Exception geworfen.

Ich habe die Vermutung dass unnötige Kanten eine Ursache sein könnten. Diese entstehen bei mit z.B. beim Fusionieren von überlappenden, parallelen Quaderen.

Durch Verschmelzen mit "oldFuse" konnte ich Shapes erstellen die die Kanten nicht aufweisen und mit denen ich makeThickness benutzen kann.
viewtopic.php?f=10&t=1952
http://heekscnc.blogspot.com/2009/10/brepalgofuse.html
http://www.opencascade.org/org/forum/thread_13599/